A wrapper for the implementations of PHPCPDResultFormatter.

package | phing.tasks.ext.phpcpd
author | Benjamin Schultz
version | $Id: dece05e79e883b4d5e95f2215e36ce4f2f72ed2e $

### Methods

## Construct a new PHPCPDFormatterElement with parent task.

    __construct(\PHPCPDTask $parentTask)

### Parameters

#### $parentTask

`\PHPCPDTask`

## Returns the report formatter.

    getFormatter() : \PHPCPDResultFormatter

### Exceptions

`\BuildException` | When the specified renderer does not exist.

### Returns

`\PHPCPDResultFormatter`

## Get the output file.

    getOutfile() : \PhingFile

### Returns

`\PhingFile`

## Get the formatter type

    getType() : string

### Returns

`string`

## Return whether to write formatter results to file or not.

    getUseFile() : boolean

### Returns

`boolean`

## Sets the output file for the formatter results.

    setOutfile(\PhingFile $outfile) : void

### Parameters

#### $outfile

`\PhingFile`

The output file

## Sets the formatter type.

    setType(string $type) : void

### Parameters

#### $type

`string`

Type of the formatter

## Set whether to write formatter results to file or not.

    setUseFile(boolean $useFile) : void

### Parameters

#### $useFile

`boolean`

True or false.

### Properties

##

    $_formatter : \PHPCPDResultFormatter

##

    $_outfile : \PhingFile

##

    $_type : string

##

    $_useFile : boolean

##

    $_parentTask : \PHPCPDTask